version: "3"

tasks:

  collect:
    desc: Collect translation keys
    aliases: [c]
    cmds:
      - cd i18n && go-extractor -input ../app -config config_i18n.yaml -save-db
      - cd i18n && vue-extractor -input ../bo/src -config config_i18n.yaml -save-db


  dump:
    desc: Dump translations
    aliases: [d]
    cmds:
      - cd i18n && go-extractor -input ../app -config config_i18n.yaml -dump ./migrations/20260302163157_translations_backend.sql
      - cd i18n && vue-extractor -input ../bo/src -config config_i18n.yaml -dump ./migrations/20260302163152_translations_backoffice.sql
      